OS-7265: bhyve should build with newer gcc

Details

Issue Type:Bug
Priority:4 - Normal
Status:Resolved
Created at:2018-09-26T21:02:40.100Z
Updated at:2018-09-28T09:35:27.595Z

People

Created by:John Levon [X]
Reported by:John Levon [X]
Assigned to:John Levon [X]

Resolution

Fixed: A fix for this issue is checked into the tree and tested.
(Resolution Date: 2018-09-28T09:35:27.581Z)

Fix Versions

2018-10-11 Criss Chros (Release Date: 2018-10-11)

Related Links

Labels

bhyve

Description

There are a few minor issues with the bhyve code in our gate that breaks compiling with newer versions of GCC.

Comments

Comment by John Levon [X]
Created at 2018-09-27T15:19:06.010Z

Aside from actually building these changes with GCC7, I did some basic sanity checking of the resulting PI both current mainline and GCC7 build: bhyve instances come up, they're on the network, console works, etc.


Comment by Jira Bot
Created at 2018-09-28T09:20:13.995Z

illumos-joyent commit 0a51b8dc40c8d4c15f71e64bc2126489a45d11ce (branch master, by John Levon)

OS-7265 bhyve should build with newer gcc
Reviewed by: Hans Rosenfeld <hans.rosenfeld@joyent.com>
Reviewed by: Patrick Mooney <patrick.mooney@joyent.com>
Approved by: Patrick Mooney <patrick.mooney@joyent.com>